package com.xintong.visualinspection.dao.master;

import com.xintong.visualinspection.bean.UserStatistic;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 文件名：CheckUserStatistics
 * 版本信息：日期：2018/2/5 Copyright 江苏省交通规划设计院 Corporation 2018 版权所有.
 */
@Mapper
public interface CheckUserStatisticsDao {
    public UserStatistic getOne(Long id);
    public UserStatistic getByUser(UserStatistic userStatistic);
    public void insert(UserStatistic userStatistic);
    public void update(UserStatistic userStatistic);
    public void delete(Long id);
    public void saveandupdate(UserStatistic userStatistic);
    public List<UserStatistic> selectlimituser(UserStatistic userStatistic);

}
